WCSCPY(3)

NAME
wcscpy - copy a wide character string

SYNOPSIS
#include <wchar.h>

wchar_t *wcscpy(wchar_t *dest, const wchar_t *src);

DESCRIPTION
The wcscpy function is the wide-character equivalent of the strcpy function. It copies the wide character string pointed to by src, including the terminating L'\0' character, to the array pointed to by dest.

The strings may not overlap.

The programmer must ensure that there is room for at least wcslen(src)+1 wide characters at dest.

RETURN VALUE
wcscpy returns dest.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
strcpy(3), wcpcpy(3), wcscat(3), wcsdup(3), wmemcpy(3)